function [A,b,x] = box_shape(m,n,ttime,rmin,rmax)
%
%
if (rem(n,2)~=0), error('The order n must be even'), end
if (rem(m,2)~=0), error('The order m must be even'), end
ddist=rmax-rmin;
h = ttime/m; A = zeros(m,n); h2=ddist/n;
pr = ([1:n]-.5)*h2+rmin;
ti = 0:h:ttime;
for i=1:m
   for j=1:n
      A(i,j)=ukernel(pr(j),ti(i));
      A(i,j)=h2*A(i,j);
   end
end
t1=32; t2=43; r=rmin:h2:(rmin+ddist-h2);
sti=r;
I=find(t1<sti & sti<t2); x=zeros(n,1);
stph=0.5./([length(I)+24:-1:25]);
for j=1:length(I)
   stph(j)=stph(length(I)-j+1);
end
if (nargout>1)
   x(I) =ones(length(I),1).*stph';
   x=x./sum(h2*x);
   b = A*x;
end
