function [A,b,x] = twog(m,n,ttime,rmin,rmax)
%A test problem of two Gaussian distribution
% b=Ax
% [A,b,x] = twog(m,n,ttime,rmin,rmax)   A=m by n matrix
ddist=rmax-rmin;  %distance distri. range %Exp'l acq time
t1=1; t2=1.3; ro = 36; r1 =39; %Gaussian distri. coeff.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Initialization.
h = ttime/m; A = zeros(m,n); h2=ddist/n;
% Compute the matrix A.
pr = ([1:n]-.5)*h2+rmin;
ti=([1:m]-.5)*h;
for i=1:m
   for j=1:n
      A(i,j)=ukernel(pr(j),ti(i));
      A(i,j)=h2*A(i,j);
   end
end

% Compute the vectors x and b.
if (nargout>1)
  x =   t1/(2*sqrt(2*pi))*exp(-0.5*t1^2*(pr-ro).^2) ...
     + t2/(2*sqrt(2*pi))*exp(-0.5*t2^2*(pr-r1).^2);
  x=x';
  b = A*x;
end
